How to make your own GMod SE Bypass
By thomasfn

Step 1: Download the binary module (.dll file) from this forum thread: http://www.facepunch.com/showthread.php?t=729841

Step 2: Place it in garrysmod/lua/includes/modules

Step 3: Create a new lua file in garrysmod/lua/menu_plugins (create the folder if it doesn't exist)

Step 4: Put the following code inside it:

require( "cvar2" )

local function cmdSEOn()
    cvar2.SetValue( "sv_scriptenforcer", 1 )
end
local function cmdSEOff()
    cvar2.SetValue( "sv_scriptenforcer", 0 )
end
concommand.Add( "se_on", cmdSEOn )
concommand.Add( "se_off", cmdSEOff )

// END OF CODE SNIPPET

Step 6: Restart gmod

[[ USAGE ]]

When ingame on a script enforced server, type the following in console to load your scripts:

se_off; lua_openscript_cl yourscript.lua; se_on

By turning it back on afterwards you bypass any cvar checkers. *NOT TESTED ON SE2*